[English](features.md) • [En español](features.es.md)

# Особенности
Расширение TW Power Tools предлагает следующие функции/опции:

## Бесконечная прокрутка
### Список тем
> **Опция:** _Включить бесконечную прокрутку в списках тем_.

Включает бесконечную прокрутку в списках тем в TW. Эта функция уже была добавлена в Консоль сообщества штатными средствами Google.


### Внутри тем
> **Опции:** _Автоматическая частичная загрузка сообщений внутри тем при прокрутке вниз_, _Автоматически загружать все сообщения сразу в темах при прокрутке вниз_.



Включает бесконечную прокрутку внутри тем как в TW, так и в Консоли сообщества.
Оба варианта являются взаимоисключающими, и в зависимости от того, какой из них вы выберете,
функция будет вести себя иначе:

- **частичная загрузка сообщений**: при прокрутке вниз будут загружены еще несколько сообщений. Если вы снова прокрутите вниз, будут загружены еще сообщения и так далее.


- **загружать все сообщения сразу**: при прокрутке вниз все остальные сообщения будут загружены сразу.


## Дополнительные улучшения
### Панель Консоли сообщества
> **Опция:** _Закрепить панель инструментов в списках тем в КС_.

Исправляет панель инструментов в списке тем в Консоли сообщества, поэтому она не исчезает при прокрутке вниз.


![GIF showing the feature](resources/fix_toolbar.gif)

### Перенаправление в Консоль сообщества
> **Опция:** _Перенаправлять все темы, открытые в TW, в КС_.

Эта функция полезна, если вы хотите, чтобы цепочки открывались по ссылке на уведомление по электронной почте непосредственно в Консоли сообщества.


### История профиля
> **Опция:** _Показывать ссылку "Сообщения пользователя" в профилях пользователей_.

И в TW, и в Консоли сообщества в профилях пользователей отображаются 2 ссылки, которые ведут на список тем, которые пользователь создал/ответил на текущем форуме и во всех форумах.



![Image showing the links](resources/previous_posts.jpg)

### Черновики
> **Опция:** _Активировать `enableLoadingDraftMessages` флаг КС_.


Включает флаг Консоли сообщества, который при открытии диалогового окна ответа агружает черновик в редактор, если черновик сообщения был сохранен на серверах Google.



Черновики сообщений регулярно сохраняются на серверах Google, **даже если флаг не установлен**, поэтому эта опция может помочь вам, например, восстановить вашу работу после сбоя.



### Контраст между прочитанными/непрочитанными темами
> **Опция:** _Увеличить контраст между прочитанными и непрочитанными цепочками в списке тем КС_.


В списках цепочек в Консоли сообщества фон для прочитанных и непрочитанных цепочек очень похож. Эта опция увеличивает контраст.


### Липкие заголовки дрора (левой панели)
> **Опция** _Сделайте так, чтобы заголовки на боковой панели КС прилипали к верху при прокрутке_.


![GIF showing the feature](resources/sticky_headers.gif)

### Темная тема
> **Опция:** _Разрешить темную тему в КС_.

Этот параметр позволяет загружать настраиваемую темную тему для Консоли сообщества. На странице параметров есть селектор, который позволяет вам выбрать способ включения темной темы:



- **переключатель в КС**: в верхней части Консоли сообщества появляется кнопка, которая позволяет переключаться между светлой и темной темами.

- **темная тема режима настроек ОС**: когда вы включаете настройку темного режима для всей ОС (доступно не во всех операционных системах), темная тема включается в Консоли сообщества. Обратите внимание, что после изменения настроек ОС вам следует перезагрузить Консоль сообщества, чтобы загрузить соответствующую тему.




### Скрыть дрор-панель Консоли сообщества
> **Опция:** _Всегда скрывать дрор-панель (левую колонку) в КС_.


При открытии Консоли сообщества боковая панель (дрор), отображающая форумы, фильтры и т.д., будет скрыта/закрыта. Полезно, если у вас маленький экран.


### Перетаскивание закладок в текстовый редактор (только для Chrome)
> **Опция:** _Разрешить перетаскивать закладки в текстовый редактор КС_.


В Chrome, при перетаскивании закладок или ссылок омнибокса в редактор текста Консоли сообщества, заголовок закладки/ссылки заменяется URL-адресом. Эта опция меняет текст и ссылку местами, поэтому текст сохраняется.



![Demo of the feature](resources/drag_and_drop_fix.gif)

### Массовая блокировка
> **Опция:** _Добавить опцию одновременной блокировки нескольких веток в спике тем КС_.


![GIF showing how the feature works](resources/batch_lock.gif)

### Точка индикации
> **Опции:** _Показать, участвовал ли автор темы в других обсуждениях_, _Показывать количество вопросов и ответов, написанных автором темы за последние `n` месяцев рядом с их именем пользователя._.



Этот раздел включает параметры, которые полезны, чтобы определить, является ли OP новичком или уже публиковал сообщения на форумах раньше. Полное описание того, что делает каждый вариант, можно найти на [docs/op\_indicator.ru.md](op_indicator.ru.md).



Вот возможные комбинации обоих вариантов:

- 1й включен, 2й выключен.

![Picture showing a colored dot next to the username](resources/op_indicator_1.gif)

- 1й выключен, 2й включен.

![Picture showing a monochrome badge](resources/op_indicator_2.gif)

- Оба включены.

![Picture showing a colored badge](resources/op_indicator_3.gif)
